import request from '@/utils/request'

// 获取短信模板列表数据
export function getSMSTemplateList(data) {
  return request({
    url: 'api/sms/gettemplatebypage',
    method: 'post',
    data
  })
}
// 添加短信模板
export function addSMSTemplate(data) {
  return request({
    url: 'api/sms/addtemplate',
    method: 'post',
    data
  })
}
// 编辑短信模板
export function editSMSTemplate(data) {
  return request({
    url: 'api/sms/updatetemplate',
    method: 'post',
    data
  })
}
// 删除短信模板
export function deleteSMSTemplate(ids) {
    return request({
      url: 'api/sms/deletetemplate',
      method: 'post',
      data:{
          ids
      }
    })
  }
// 新增短信
export function addSMSInfo(data) {
    return request({
      url: 'api/sms/addsmslog',
      method: 'post',
      data
    })
  }
// 新增短信列表
export function getSMSLists(data) {
    return request({
      url: 'api/sms/getsmslogbypage',
      method: 'post',
      data
    })
  }
// 删除短信列表数据
export function deleteSMS(ids) {
    return request({
      url: 'api/sms/deletesmslog',
      method: 'post',
      data:{
        ids
      }
    })
  }